# Log_Record.h File Reference

`#include "ace/Log_Priority.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/iosfwd.h"`
`#include "ace/Log_Record.inl"`

Include dependency graph for Log_Record.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Log_Record
| Defines the structure of an ACE logging record. More...

## Detailed Description

Id
  Log_Record.h,v 4.52 2006/01/16 20:08:55 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>